TextToSpeechSetSpeaker(3dtk)

Name

TextToSpeechSetSpeaker - Sets the voice of the speaker that the text-to-speech system is to use.

Syntax
    MMRESULT TextToSpeechSetSpeaker (LPTTS_HANDLE_T phTTS,
                                    SPEAKER_T Speaker)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

SPEAKER_T Speaker
    Selects a speaker from the following list. These values are defined in include file ttsapi.h:

Speaker | Description
PAUL
 | Default (male) voice
HARRY
 | Full male voice
FRANK
 | Aged male voice
DENNIS
 | Male voice
BETTY
 | Full female voice
URSULA
 | Aged female voice
WENDY
 | Whispering female voice
RITA
 | Female voice
KIT
 | Child's voice

Description

This function sets the voice of the speaker that the text-to-speech system is to use. The change in speaking voice is not effective until the next phrase boundary. All queued audio encountered before the phrase boundary is unaffected.

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_INVALPARAM
 | An invalid parameter was passed.
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.

See Also

TextToSpeechGetSpeaker(3dtk)